package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

public class TipoImportacaoFiscal {

	public enum TipoImportacao {
		ECF, ECF_CANCELADOS, MANUAL, REDUCAO_Z, NAO_FISCAL;
	}

	public static HashMap<String, Boolean> selecionaTipoImportacao(TipoImportacao tipo, HashMap<String, Boolean> args) {

		HashMap<String, Boolean> map = args;
		if (tipo.equals(TipoImportacao.ECF)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.TRUE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.ECF_CANCELADOS)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.TRUE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.MANUAL)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.TRUE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.REDUCAO_Z)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.TRUE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.FALSE);
		}

		if (tipo.equals(TipoImportacao.NAO_FISCAL)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.FALSE);
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.FALSE);
			map.put(TipoImportacao.MANUAL.toString(), Boolean.FALSE);
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.FALSE);
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.TRUE);
		}

		return map;
	}

}
